"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExistsQuery = void 0;
const abstract_query_1 = require("./abstract.query");
class ExistsQuery extends abstract_query_1.AbstractQuery {
    constructor(key) {
        super();
        this.key = key;
    }
    getQuery() {
        return { exists: { field: this.key } };
    }
}
exports.ExistsQuery = ExistsQuery;
//# sourceMappingURL=exists.query.js.map